name:		abb
version:	0.5
release:	1
summary:	command-line client for abf.rosalinux.ru

group:		System/Configuration/Packaging
license:	GPLv3+
url:			git://github.com/sash-kan/%{name}.git
buildarch:	noarch
source0:	%{name}
source1:	%{name}rc
source2:	readme
source3:	gpl-3.0.txt
source4:	spek.skel
source5:	abb.json.sh
source6:	license.apache2
source7:	license.mit
source8:	abb.bash_completion

requires:	bash
requires:	git-core
suggests:	w3m
requires:	curl
requires:	lynx
requires:	wget
requires:	rpm-build

buildarch:	noarch

%description
abb is command-line client for <http://abf.rosalinux.ru>

%prep
%setup -qcT
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
install -d %{buildroot}%{_bindir}
install %{SOURCE0} %{buildroot}%{_bindir}/
install -d %{buildroot}%{_datadir}/%{name}
install %{SOURCE4} %{buildroot}%{_datadir}/%{name}/
install %{SOURCE5} %{buildroot}%{_bindir}/
install -d %{buildroot}%{_datadir}/bash_completion
install %{SOURCE8} %{buildroot}%{_datadir}/bash_completion/abb
%if %mdkversion < 201210
# rosa 2012.0
sed -i 's/^_have /have /' %{buildroot}%{_datadir}/bash_completion/abb
%endif
install -d %{buildroot}%{_sysconfdir}/bash_completion.d
ln -s %{_datadir}/bash_completion/abb %{buildroot}%{_sysconfdir}/bash_completion.d/abb

%files
%doc abbrc readme
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/bash_completion
%{_sysconfdir}/bash_completion.d

%changelog
* Wed Jan 09 2013 alexander barakin (aka sash-kan) <alex@barak.in> 0.5-1
+ Revision: 3efd7da
- remove build_requires
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Mon Dec 24 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.5-1
+ Revision: a05a577
- move w3m from reqs to suggests
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Dec 13 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.5-1
+ Revision: dffe8d8
- rosa2012.1 have "_have", but rosa2012lts have "have"
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Dec 13 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.5-1
+ Revision: 58b14ea
- improve bash_completion, add "send" command to it
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Tue Dec 11 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.5-1
+ Revision: f54f80a
- new version 0.5
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Tue Dec 11 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 00634b0
- url escape "+" in project name
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Dec 05 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 4efd41c
- add "cdafterclone" option
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Dec 05 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 8306fd7
- accepts "yes" with options "publish" and "withrequired"
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Fri Nov 30 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: f1eba03
- add "rejectpublish" command
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Fri Nov 30 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: a370079
- correctly handle empty api-server output
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Fri Nov 30 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: c4c825c
- correctly handle empty api-server output
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Fri Nov 30 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 79b3544
- correctly handle slashes in branch name
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 29 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 18d7869
- fix "status" with one argument
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 29 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: e2497e1
- add "send" command, beta version
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 29 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 8fd8fa7
- using apiurl
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 29 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: add7d3d
- cleanup
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Nov 28 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 84d7e58
- do not add line "---" to new .abf.yml
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Nov 28 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 5d1271a
- consider the option "restore" while "build"
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Mon Nov 26 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: 9dc7a77
- added used reqs
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Mon Nov 26 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.4-1
+ Revision: af0d83a
- v0.4: add bash_completion
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Mon Nov 26 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-2
+ Revision: a8beeb9
- add "vars" command
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 22 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-2
+ Revision: e713a85
- bump release
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 22 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-1
+ Revision: 0243c12
- handle missing newline in .abf.yml with "store"
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 22 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-1
+ Revision: bc2ec19
- handle missing newline at end of .abf.yml
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Thu Nov 22 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-1
+ Revision: d79b555
- mkdir BUILD for some strange specs without %setup
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Nov 21 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-1
+ Revision: 9232a92
- include also abb.json.sh in %files
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Nov 21 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.3-1
+ Revision: 998470a
- add abb.json.sh from github.com/dominictarr/JSON.sh
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Wed Nov 21 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.2-2
+ Revision: 6df2ba7
- file-store changes api call
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Tue Nov 20 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.2-2
+ Revision: e588d46
- add "publish" command
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Mon Nov 19 2012 alexander barakin (aka sash-kan) <alex@barak.in> 0.2-2
+ Revision: 8a796bd
- fix "pushd: no such file or directory"
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>


